> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create agent

> Create a new UponAI agent for use in calls and web sessions.



## OpenAPI

````yaml /openapi.json post /api/agents
openapi: 3.1.0
info:
  title: UponAI Platform API
  version: '2026-04-20'
  description: >-
    Programmatic control plane for configuring UponAI agents, LLM
    configurations, conversation flows, knowledge bases, calls, chats, voices,
    and test tooling. All endpoints require a bearer token obtained from your
    profile settings.
servers:
  - url: https://api.upon-ai.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Calls
    description: Initiate and manage UponAI powered voice and web calls.
  - name: Agents
    description: Configure agents that power calls and web sessions.
  - name: LLM Models
    description: Manage reusable large language model configurations for agents.
  - name: Chat Agents
    description: Configure agents for browser and messaging chat sessions.
  - name: Chats
    description: Start and manage live chat sessions.
  - name: Conversation Flows
    description: Build and maintain reusable dialog graphs for agents.
  - name: Knowledge Bases
    description: Store and curate grounded knowledge sources.
  - name: Voices
    description: Discover, search, add, and clone speech synthesis voices.
  - name: Test Case Definitions
    description: Define simulation test cases for response engines.
  - name: Test Runs
    description: Retrieve results for individual and batch test runs.
  - name: Account
    description: Account level utilities and limits.
  - name: Phone Numbers
    description: List and assign phone numbers to agents.
paths:
  /api/agents:
    post:
      tags:
        - Agents
      summary: Create agent
      description: Create a new UponAI agent for use in calls and web sessions.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAgentRequest'
      responses:
        '201':
          description: Newly created agent.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agent'
components:
  schemas:
    CreateAgentRequest:
      type: object
      required:
        - workspaceId
        - agent_name
        - voice_id
        - response_engine
      properties:
        workspaceId:
          type: integer
        agent_name:
          type: string
        voice_id:
          type: string
        response_engine:
          $ref: '#/components/schemas/ResponseEngine'
        response_threshold:
          type: number
        interruption_sensitivity:
          type: string
        ambient_sound:
          type: string
    Agent:
      allOf:
        - $ref: '#/components/schemas/AgentSummary'
        - type: object
          properties:
            voice_id:
              type: string
            response_engine:
              $ref: '#/components/schemas/ResponseEngine'
            response_threshold:
              type: number
              nullable: true
            interruption_sensitivity:
              type: string
              nullable: true
            ambient_sound:
              type: string
              nullable: true
            responsiveness:
              type: string
              nullable: true
            max_call_duration_ms:
              type: integer
              nullable: true
            created_at:
              type: string
              format: date-time
              nullable: true
            updated_at:
              type: string
              format: date-time
              nullable: true
    ResponseEngine:
      type: object
      required:
        - type
      properties:
        type:
          type: string
        llm_id:
          type: string
    AgentSummary:
      type: object
      required:
        - agent_id
        - version
      properties:
        agent_id:
          type: string
        agent_name:
          type: string
        version:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Generate tokens from your profile settings at app.uponai.com.

````